Package org.springframework.security.config.authentication

# Class UserServiceBeanDefinitionParser

java.lang.Object
org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser
org.springframework.security.config.authentication.UserServiceBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class UserServiceBeanDefinitionParser extends AbstractUserDetailsServiceBeanDefinitionParser

## Field Summary

### Fields inherited from class org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser

`CACHING_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`UserServiceBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String`
`getBeanClassName(Element element)`

### Methods inherited from class org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserServiceBeanDefinitionParser

public UserServiceBeanDefinitionParser()

## Method Details

### getBeanClassName

protected String getBeanClassName(Element element)

Specified by:
  `getBeanClassName` in class `AbstractUserDetailsServiceBeanDefinitionParser`

### doParse

protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Specified by:
  `doParse` in class `AbstractUserDetailsServiceBeanDefinitionParser`